<?php
defined('_JEXEC') or die;

$this->setLayout('header');
echo $this->loadTemplate();
$JLMS_ACL = $this->acl;
?>
<form action="<?php echo JRoute::_('index.php?option=com_joomla_lms&task=announcements.announcements.actual&course_id='.$this->course_id); ?>" method="post" id="adminForm" name="adminForm" class="form-validate form-vertical">
<?php
echo $this->toolbar;
//if (sizeof($this->items))
{
    $actual_announcements = $this->actual_items;
?>

    <?php
    if (sizeof($actual_announcements))
    {
     ?>
        <div class="well well-small">
        <h2 class="module-title nav-header">
            Actual announcements
        </h2>
    <?php
        foreach ($actual_announcements as $key=> $announcement)
        {
            $item_link = JRoute::_('index.php?option=com_joomla_lms&task=announcements.announcement&id='.(int)$announcement->id.'&course_id='.$this->course_id);
            $item_edit_link = JRoute::_('index.php?option=com_joomla_lms&task=announcements.announcement.edit&id='.(int)$announcement->id.'&course_id='.$this->course_id);
            $item_delete_link = JRoute::_('index.php?option=com_joomla_lms&task=announcements.announcement.delete&id='.(int)$announcement->id.'&course_id='.$this->course_id);

            $started = $finished = $upcoming = false;

            $interval = $this->dateHandler->compareTwoDates($announcement->start_date,"now");

            $start_time_params = AnnouncementHelperOutput::getDateCompareTextAndParams($interval,'start');
            $start_time_string = $start_time_params['time_string'];
            $upcoming = $start_time_params['upcoming'];
            $started = $start_time_params['started'];

            $interval = $this->dateHandler->compareTwoDates($announcement->end_date,"now");
            $end_time_params = AnnouncementHelperOutput::getDateCompareTextAndParams($interval,'finish');
            $finish_time_string = $end_time_params['time_string'];
            $finished = $end_time_params['finished'];

            ?>
            <div class="row-striped">
                <div class="row-fluid">
                    <div class="span12">
                        <span class="icon-calendar"></span>
                        <a href="<?php echo $item_link; ?>"><?php echo $announcement->title;?></a>
                        <div class="btn-group pull-right">
                            <?php
                            $itemToolbar = new \LMS\Widgets\Itemtoolbar();

                            $params = AnnouncementHelperOutput::getStatusItemParams($started, $upcoming, $finished);
                            $itemToolbar->addCustomButton($params);

                            if ($this->acl->CheckPermissions('announce', 'manage') )
                            {
                                $change_state_link = 'index.php?option=com_joomla_lms&task=announcements.announcements.change_announcement_state&state='.($announcement->published?0:1).'&announcement_id='.$announcement->id.'&course_id='.$this->course_id;
                                $itemToolbar->addPublishButtonLegacy(array(
                                    'state' => $announcement->published,
                                    'href'=> \JRoute::_($change_state_link)
                                ));

                                $info_button_content = '';
                                if ($announcement->is_time_related && $announcement->show_period)
                                {
                                    $parsed_periods = $this->dateHandler->parseTimeReleasedPeriod($announcement->show_period);
                                    $info_button_content = AnnouncementHelperOutput::getReleasedTimeText($parsed_periods);
                                }

                                $info_button_content = AnnouncementHelperOutput::getPublishUnpublishStartEndDateText($announcement, $info_button_content);

                                if ($info_button_content)
                                {
                                    $itemToolbar->addInfoButton(array(
                                        'tip' => JText::_('_JLMS_INFORMATION'),
                                        'tipDescription' => $info_button_content,
                                    ));
                                }

                                $dropDown = $itemToolbar->addDropDownButton();
                                $dropDown->addEditItem( array('href' => $item_edit_link));
                                $dropDown->addDeleteItem( array('href' => $item_delete_link) );
                            }
                            echo $itemToolbar;
                            ?>
                        </div>
                        <?php if ( $announcement->start_date ) {
                            AnnouncementHelperOutput::showStartEndDatesInfo($announcement,$start_time_string,$finish_time_string );
                        } ?>

                        <?php if ($announcement->location) {
                            AnnouncementHelperOutput::showLocationInfo($announcement->location);
                        } ?>
                    </div>
                </div>
            </div>
        <?php
        }
    ?>
      </div>
     <?php
    }?>
<div style="text-align: center;">
    <?php echo $this->pagination->getListFooter();?>
    <?php echo $this->pagination->getLimitBox();?>
</div>
    <input type="hidden" name="course_id" value="<?php echo $this->course_id;?>" />
    <input type="hidden" name="task" value="announcements.announcements.actual" />
    <input type="hidden" name="option" value="com_joomla_lms" />
    <?php echo JHtml::_('form.token'); ?>
    </form>
    <input type="button" class="btn button" value="Back to Announcements"
           onclick="location.href='<?php echo \JRoute::_('index.php?option=com_joomla_lms&task=announcements&course_id='.$this->course_id); ?>'"/>
<?php
}

$this->setLayout('footer');
echo $this->loadTemplate(); 