<?php
namespace LMS\Tools\Announcements\View;

defined('_JEXEC') or die;

use LMS\Libraries\Base;

class Featured extends Base\View
{
    public function __construct($config = array())
    {
        $this->viewDir = __DIR__;
        parent::__construct($config);

    }

    public function display($tpl = null)
    {
        $tool_path = \Juri::root().'components/com_joomla_lms/tools/announcements';
        $this->addStyleSheet( $tool_path.'/assets/css/announcements.css');

        $model = $this->getModel();
        $model->setState('announcements.featured',1);
        $this->featured_items = $model->getAllFeaturedItems();
        $this->pagination = $model->getPagination();
        $this->toolbar = $this->getToolbar();

        return parent::display($tpl);
    }

    private function getToolbar()
    {

        jimport('cms.html.toolbar');
        $toolbar = new \JToolBar( 'toolbar' );
        $toolbar->appendButton( 'Standard', 'new', 'New announcement', 'announcements.announcement.add', false );
        return $toolbar->render();
    }

}