<?php
defined('_JEXEC') or die;

JHtml::_('formbehavior.chosen', 'select:not(.chzn-done)');

$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));
$saveOrder	= $listOrder == 'ordering';

if($saveOrder){
	$saveOrderingUrl = 'index.php?option=com_joomla_lms&task=homework.homeworks.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'homeworkList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);
}

JHtml::_('searchtools.form', '#adminForm');
?>

<script type="text/javascript">
	Joomla.orderTable = function()
	{
		table = document.getElementById("sortTable");
		direction = document.getElementById("directionTable");
		order = table.options[table.selectedIndex].value;
		if (order != '<?php echo $listOrder; ?>')
		{
			dirn = 'asc';
		}
		else
		{
			dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, '');
	}
</script>

<div class="row-fluid">
	<?php
	echo new \LMS\Widgets\ContentHeader(array('title' => _JLMS_HW_TITLE_HW, 'icon' => 'assignments'));
	?>

	<div class="row-fluid">
		<?php
		echo $this->toolbar;
		?>
	</div>

	<div class="row-fluid">
		<form action="<?php echo JRoute::_('index.php?option=com_joomla_lms&task=homework.homeworks.show&course_id='.$this->state->get('courseId').(isset($this->Itemid) && intval($this->Itemid) ? '&Itemid='.$this->Itemid : '')); ?>" method="post" id="adminForm" name="adminForm">

			<?php
			if(isset($this->items) && is_array($this->items) && count($this->items)){
			?>

			<div class="row-fluid">
				<div class="btn-group pull-right">
					<label for="limit" class="element-invisible">
						<?php echo JText::_('JGLOBAL_DISPLAY_NUM'); ?>
					</label>
					<?php echo $this->pagination->getLimitBox();?>
				</div>
			</div>

			<div class="row-fluid">
				<table id="homeworkList" class="table table-striped table-hover">
					<thead>
						<tr>
							<th width="1%" class="nowrap center hidden-phone">
								<?php echo JHtml::_('searchtools.sort', '', 'ordering', $listDirn, $listOrder, null, 'asc', 'Ordering', 'icon-menu-2'); ?>
							</th>
							<th width="1%" class="nowrap center hidden-phone">
								<input type="checkbox" name="checkall-toggle" value="" title="<?php echo JText::_('JGLOBAL_CHECK_ALL'); ?>" onclick="Joomla.checkAll(this)" />
							</th>
							<th class="center" width="1%"><?php echo JText::_('Action');?></th>
							<th>
								<?php echo JHtml::_('searchtools.sort', 'Title', 'title', $listDirn, $listOrder); ?>
							</th>
							<th width="7%" class="nowrap center hidden-phone">
								<?php echo JHtml::_('searchtools.sort', 'Start Date', 'start_date', $listDirn, $listOrder); ?>
							</th>
							<th width="7%" class="nowrap center hidden-phone">
								<?php echo JHtml::_('searchtools.sort', 'End Date', 'end_date', $listDirn, $listOrder); ?>
							</th>

						</tr>
					</thead>
					<tbody>
						<?php
						if($this->items)
						{
							foreach($this->items as $i => $item)
							{
								$number = $i + 1;
								?>
								<tr class="row<?php echo $i % 2;?>" sortable-group-id="<?php echo $item->course_id;?>">
									<td class="order nowrap center hidden-phone">
										<?php
										$canChange = true;
										$iconClass = '';
										if (!$canChange)
										{
											$iconClass = ' inactive';
										}
										elseif (!$saveOrder)
										{
											$iconClass = ' inactive tip-top hasTooltip" title="' . JHtml::tooltipText('JORDERINGDISABLED');
										}
										?>
										<span class="sortable-handler<?php echo $iconClass ?>">
											<i class="icon-menu"></i>
										</span>
										<?php #if ($canChange && $saveOrder) : ?>
										<?php if(true){ ?>
											<input type="text" style="display:none" name="order[]" size="5" value="<?php echo $item->ordering; ?>" class="width-20 text-area-order " />
										<?php } ?>
									</td>
									<td class="nowrap center hidden-phone">
										<?php echo JHtml::_('grid.id', $i, $item->id); ?>
									</td>
									<td style="text-align: center;">
										<div class="btn-group">
										<?php
											//$itemBar = new \LMS\Widgets\Button( array('type' => 'dropdownpublished', 'class' => 'btn-micro', 'published' => $item->published, 'href' => 'javascript: listItemTask(\'cb'.$i.'\', \'homework.homeworks.'.($item->published ? 'unpublish' : 'publish').'\')') );
											$itemBar = new \LMS\Widgets\Itemtoolbar();
											$itemBar->addPublishButtonLegacy( array('state' => $item->published, 'href' => 'javascript: listItemTask(\'cb'.$i.'\', \'homework.homeworks.'.($item->published?'unpublish':'publish').'\')') );
											$dropDown = $itemBar->addDropDownButton();
											$dropDown->addEditItem( array('href' => 'javascript: listItemTask(\'cb'.$i.'\', \'homework.homework.edit\')') );
											$dropDown->addDeleteItem( array('href' => 'javascript: listItemTask(\'cb'.$i.'\', \'homework.homework.delete\')') );
											echo $itemBar->render();
										?>
										</div>
									</td>
									<td>
										<?php
										$link = 'index.php?option=com_joomla_lms&task=homework.results.show';
										$link .= '&course_id='.$this->state->get('courseId');
										$link .= '&id='.$item->id;
										$link .= isset($this->Itemid) && intval($this->Itemid) ? '&Itemid='.$this->Itemid : '';
										$link = JRoute::_($link);

										$property = $this->helperAddPropertiesForTooltip($item->short_description, 150);
										?>
										<a href="<?php echo $link;?>" <?php echo $property;?>>
											<?php echo $item->title;?>
										</a>
										<?php
										if($item->quantityMarked){
											?>
											<span class="badge badge-warning">
												<?php echo $item->quantityMarked;?>
											</span>
											<?php
										}
										?>
									</td>
									<?php
									/*
									?>
									<td class="nowrap hidden-tablet hidden-phone">
										<?php echo $item->short_description;?>
									</td>
									<?php
									*/
									?>
									<td class="nowrap center hidden-phone">
										<?php echo $item->start_date;?>
									</td>
									<td class="nowrap center hidden-phone">
										<?php echo $item->end_date;?>
									</td>

								</tr>
								<?php
							}
						}
						?>
					</tbody>
				</table>

				<div class="row-fluid center">
					<?php echo $this->pagination->getResultsCounter();?>
					<?php echo $this->pagination->getListFooter();?>
				</div>

			</div>
			<?php
			} else {
				?>
				<div class="well center"><?php echo JText::_('No homeworks');?></div>
			<?php
			}
			?>

			<input type="hidden" name="task" value="homework.homeworks.show" />
			<input type="hidden" name="course_id" value="<?php echo $this->state->get('courseId');?>" />
			<input type="hidden" value="0" name="boxchecked">
			<?php echo JHtml::_('form.token');?>

		</form>
	</div>
</div>