<?php
namespace LMS\Tools\Users\Tables;

use LMS\Libraries\Base;
use LMS\Libraries\ServiceLocator;

class UserCourses extends Base\Table
{	
	protected $alias = 'coursestaff';
	
	function __construct()
	{
		parent::__construct( '#__lms_user_courses', 'id');
	}
	
	protected function initRelations()
	{
		$this->relations = array(
			'profile' => array(
				'table' => new JoomlaUsers($this->_db),
				'type' => 'INNER',
				'condition' => '{parent.user_id} = {child.id}',
				'capacity' => self::MANY
			)
		);
	}
}
?>