<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

class modJLMSWebinarsHelper{
	
	function __construct($params){
	}
	
	public static function getData($params){

        require_once JPATH_BASE . '/includes/defines.php';
        require_once JPATH_BASE . '/includes/framework.php';
        require_once JPATH_BASE . "/configuration.php";

        require_once _JOOMLMS_FRONT_HOME . '/libraries/servicelocator.php';

        \LMS\Libraries\ServiceLocator::registerNamespace('LMS', _JOOMLMS_FRONT_HOME);
        \LMS\Libraries\ServiceLocator::activate();

        $diContainer = new LMS\Libraries\Injection\Container();
        $diContainer['config'] = JFactory::getConfig();
        $diContainer['db'] = JFactory::getDbo();
        $diContainer['cacheDriver'] = new stdClass();
        $diContainer['session'] = JFactory::getSession();
        $diContainer['msgManager'] = new LMS\Libraries\Message\Manager();

        $JLMS_SESSION = JFactory::getSession();
        $JLMS_CONFIG = JFactory::getConfig();
        $JLMS_ACL = JLMSFactory::getACL();

        JPluginHelper::importPlugin('system');

        LMS\Libraries\ServiceLocator::load('lib.base');
        LMS\Libraries\ServiceLocator::load('tool.conference');

        $registry = LMS\Libraries\ServiceLocator::get('registry');

        $params = $_REQUEST;
        $params['option'] = 'com_joomla_lms';
        $params['my'] = LMS\Libraries\ServiceLocator::get('user');
        $params['isManager'] =  $JLMS_ACL->CheckPermissions('conference', 'manage');
        $registry->set('params', $params);

        $diContainer['registry'] = $registry;
        $diContainer['dateHandler'] = LMS\Libraries\ServiceLocator::get('dateHandler');
        $dispatcher = LMS\Libraries\ServiceLocator::get('dispatcher');
        $responseHandler = new LMS\Tools\Conference\Response\Handler($diContainer);

        $result = $dispatcher->trigger('onConferenceCourse', array($diContainer));

        $results = $responseHandler->handle($result);
		return $results;
	}


}