<?php
/**
 * User: nester_a
 * Date: 07.07.14
 */

namespace LMS\Libraries;

jimport('joomla.log.log');

class Logger
{
	public function __construct()
	{
		\JLog::addLogger(array(
				'text_file' => 'com_joomla_lms.errors.php'
			),
			\JLog::ALL,
			array('com_joomla_lms')
		);
	}

	public function logError($message)
	{
		\JLog::add($message, \JLog::ERROR, 'com_joomla_lms');
	}

	public function logWarning($message)
	{
		\JLog::add($message, \JLog::WARNING, 'com_joomla_lms');
	}

	public function logNotice($message)
	{
		\JLog::add($message, \JLog::NOTICE, 'com_joomla_lms');
	}

	public function logInfo($message)
	{
		\JLog::add($message, \JLog::INFO, 'com_joomla_lms');
	}
}