<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * 
 */

namespace LMS\Libraries\User;

defined('_JEXEC') or die;

use LMS\Libraries\Repository\Users;

/** 
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * @since       3.1
 */
	
class User 
{	
	protected $id;

	protected $user = null;
	
	protected static $instance = array();
	
	protected $rep;
	
	public function __construct($options)
	{
		if(isset($user)) {
			$this->user = $options['user'];
		}
		$this->id = $options['id'];
		
		$urOptions = array('id' => $options['id'], 'db' => $options['db']);
		
		//$this->repository = Users\User::getInstance($urOptions);
	}
	
	public function rep()
	{
		return $this->rep;		
	}
	
	public function __call($name, $arguments)
	{
		return call_user_func_array(array($this, $name), $arguments);		
	}
	
	public function __set($name, $value) {
		if(method_exists($this->user, 'set')) {
			$this->user->set($name, $value);
		}
	}
	
	public function __get($name) {
		if(method_exists($this->user, 'get')) {
			$this->user->get($name);
		}
	}
	
	public function set($name, $value) {		
		$this->{$name} = $value;		
	}
	
	public function get($name) {		
		return $this->{$name};
	}
	
	public static function & getInstance($id = null, $user = null) {
		$user	= \JFactory::getUser();
		$db 	= \JFactory::getDBO();
		
		if(!$id) {
			$id = $user->get('id');
		}
		
		if(!$id) {
			return false;
		}
		
		if(!isset(self::$instance[$id])) {
			$options = array('id' => $id, 'user' => $user, 'db' => $db);
			self::$instance[$id] = new User($options);			
		}		
		
		return self::$instance[$id];
	}	
}