<?php
defined('_JEXEC') or die;

$this->setLayout('header');
echo $this->loadTemplate(); 

?>
<form action="<?php echo JRoute::_('index.php?option=com_joomla_lms&task=announcements.announcements.featured&course_id='.$this->course_id); ?>" method="post" id="adminForm" name="adminForm" class="form-validate form-vertical">
<?php
echo $this->toolbar;
//if (sizeof($this->items))
{
    $featured_announcements = $this->featured_items;
?>

    <?php
    if (sizeof($featured_announcements))
    {
     ?>
        <h4>Featured announcements</h4>
    <?php
        foreach ($featured_announcements as $key=> $featured_announcement)
        {
            $item_link = JRoute::_('index.php?option=com_joomla_lms&task=announcements.announcement&id='.(int)$featured_announcement->id.'&course_id='.$this->course_id);
            $item_edit_link = JRoute::_('index.php?option=com_joomla_lms&task=announcements.announcement.edit&id='.(int)$featured_announcement->id.'&course_id='.$this->course_id);
            $item_delete_link = JRoute::_('index.php?option=com_joomla_lms&task=announcements.announcement.delete&id='.(int)$featured_announcement->id.'&course_id='.$this->course_id);
            ?>
            <div class="jlms_announcement_block">
                <?php echo $key+1;?><img title="" alt="" class="" src="components/com_joomla_lms/lms_images/agenda/feature_announcement.png" />
                <a href="<?php echo $item_link; ?>"><?php echo $featured_announcement->title;?></a>
                <div class="jlms_announcement_edit_block">
                    <a href="<?php echo $item_edit_link; ?>"><img width="16" height="16" border="0" align="top" class="JLMS_png" title="Edit" alt="Edit" src="components/com_joomla_lms/lms_images/toolbar/btn_edit.png" /></a>
                    &nbsp;
                    <a href="<?php echo $item_delete_link; ?>"><img width="16" height="16" border="0" align="top" class="JLMS_png" title="Delete" alt="Delete" src="components/com_joomla_lms/lms_images/toolbar/btn_delete.png" /></a>
                </div>
                <?php if ( $featured_announcement->start_date ) { ?>
                <div style="font-size: 10px;">
                    <span>Start date: <?php echo $featured_announcement->start_date;?></span>
                    <span>End date: <?php echo $featured_announcement->end_date;?></span>
                </div>
                <div>

                        <img width="16" height="16" border="0" title="" alt="" class="" src="components/com_joomla_lms/lms_images/agenda/clock_start.png" />
                        <?php
                        $interval = $this->dateHandler->compareTwoDates($featured_announcement->start_date,"now");
                        $time_string = '';
                        if ($interval->years) $time_string .=  $interval->years.' year(s) ';
                        if ($interval->months) $time_string .= $interval->months.' month(s) ';
                        if ($interval->days) $time_string .= $interval->days.' day(s) ';
                        if ($interval->hours) $time_string .= $interval->hours.' hour(s) ';
                        if ($interval->minutes) $time_string .= $interval->minutes.' minute(s) ';

                        if ($interval->type == 'more')
                        {
                            $start_date_text = 'Starts after: ';
                            $time_string = $start_date_text.$time_string;
                        } else
                        {
                            $start_date_text = 'Is already started: ';
                            $time_string = $start_date_text.$time_string;
                        }
                        echo $time_string.'<br />';

                        ?>
                        <img width="16" height="16" border="0" title="" alt="" class="" src="components/com_joomla_lms/lms_images/agenda/clock_end.png" />
                        <?php
                        $interval = $this->dateHandler->compareTwoDates($featured_announcement->end_date,"now");
                        $time_string = '';
                        if ($interval->years) $time_string .=  $interval->years.' year(s) ';
                        if ($interval->months) $time_string .= $interval->months.' month(s) ';
                        if ($interval->days) $time_string .= $interval->days.' day(s) ';
                        if ($interval->hours) $time_string .= $interval->hours.' hour(s) ';
                        if ($interval->minutes) $time_string .= $interval->minutes.' minute(s) ';

                        if ($interval->type == 'more')
                        {
                            $start_date_text = 'Finish after: ';
                            $time_string = $start_date_text.$time_string;
                        } else
                        {
                            $start_date_text = 'Is already finished: ';
                            $time_string = $start_date_text.$time_string;
                        }
                        echo $time_string;
                        ?>
                 </div>
                         <?php if ($featured_announcement->location) { ?>
                          <div>
                             <img width="16" height="16" border="0" title="" alt="" class="" src="components/com_joomla_lms/lms_images/agenda/map_location.png" />
                             <?php echo $featured_announcement->location;?>
                         </div>
                         <?php } ?>
                <?php } ?>
            </div>
            <?php
        }
    ?>
     <?php
    }?>
<div style="text-align: center;">
    <?php echo $this->pagination->getListFooter();?>
    <?php echo $this->pagination->getLimitBox();?>
</div>
    <input type="hidden" name="course_id" value="<?php echo $this->course_id;?>" />
    <input type="hidden" name="task" value="" />
    <input type="hidden" name="option" value="com_joomla_lms" />
    <?php echo JHtml::_('form.token'); ?>
    </form>
    <input type="button" class="btn button" value="Back to Announcements"
           onclick="location.href='index.php?option=com_joomla_lms&task=announcements&course_id=<?php echo $this->course_id; ?>'"/>
<?php
}

$this->setLayout('footer');
echo $this->loadTemplate();
?>