<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 *
 */

namespace LMS\Tools\Conference\Controllers;

defined('_JEXEC') or die;

require __DIR__ .'/conference.php';

/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 * @since       3.1
 */
class Doc extends Conference
{

	public function __construct($config=array())
	{
		parent::__construct($config);
		$this->input->set('view', 'doc');
	}


	/**
	 * Method to show form for save new attendee of conference
	 */
	public function upload()
	{
		$params = $this->container['registry']->get('params');
		$results = $this->dispatcher->trigger( 'onConferenceUpload', array($this->container));
		$result = $this->responseHandler->handle($results);
		$this->_render(array('content' => $result));
	}

}