<?php
defined('_JEXEC') or die;

JHtml::_('behavior.formvalidation');
JHtml::_('behavior.combobox');
JHtml::_('behavior.calendar');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidation');

$tabs = $this->widget('tabs', array('script' => true));

$customModule = $this->item->module == 'mod_custom';
if($customModule){
	$hasContentFieldName = "content";
}

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task){
		var form = document.adminForm;
		if (document.formvalidator.isValid(form)){
			<?php
			if(isset($hasContentFieldName)){
				echo $this->form->getField($hasContentFieldName)->save();
			}
			?>			
			Joomla.submitform(task, form);			
		}
	}
</script>
<div class="modalContainer">
	<form action="<?php echo JRoute::_('index.php?option=com_joomla_lms&modid=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="adminForm" target="_parent" class="form-horizontal form-validate">
		<?php
		echo $this->widget('contenttoolbar');
		$fields = $this->form->getFieldset('details');
		if (count($fields)){
			ob_start();
			?>
			<fieldset>
				<?php
				foreach ($fields as $field){
					if($field->name == 'jform[content]' && !$customModule) {
						continue;
					}
					if(!$field->hidden){
//						echo $field->getControlGroup();
						?>
						<div class="control-group">
							<div class="control-label">
								<?php echo $field->label;?>
							</div>
							<div class="controls">
								<?php echo $field->input;?>
							</div>
						</div>
						<?php
					}?>
					<?php
				}
				foreach ($fields as $field){
					if ($field->hidden){
						echo $field->input;
					}
				}
				?>
				<input type="hidden" name="course_id" value="<?php echo $this->state->courseId;?>"/>
			</fieldset>
			<?php
			$contentDetails = ob_get_contents();
			ob_end_clean();

			$tabs->addTab(array(
				'id' => 'details',
				'active' => true,
				'title' => JText::_('_JLMS_DETAILS'),
				'content' => $contentDetails
			));
		}

		$fields = $this->form->getFieldset('basic');

		if (count($fields)){
			ob_start();
			?>
			<fieldset>
			<?php
				foreach ($fields as $field):
					echo $field->getControlGroup();
				endforeach;
			?>
			</fieldset>
			<?php
			$contentBasic = ob_get_contents();
			ob_end_clean();

			$tabs->addTab(array(
				'id' => 'options',
				'title' => JText::_('_JLMS_OPTIONS'),
				'content' => $contentBasic
			));
		};

		echo $tabs;
		?>
		<input type="hidden" id="task" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
		<?php echo $this->form->getInput('module'); ?>
		<?php echo $this->form->getInput('client_id'); ?>
	</form>
</div>
